package fr.irisa.cairn.jnimap.isl;

import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import fr.irisa.cairn.jnimap.runtime.JNIObject;


/*** PROTECTED REGION ID(IISLStandardMethods_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */
public interface IISLStandardMethods   {
	
	
	/*** PROTECTED REGION ID(IISLStandardMethods_userCode) ENABLED START ***/
	public <T extends IISLStandardMethods> T copy();
	public String toString(ISL_FORMAT format);
	
	public int dim(ISLDimType dimType);
	
	public default int getNbParams() {
		return dim(ISLDimType.isl_dim_param);
	}
	public default int getNbDivs() {
		return dim(ISLDimType.isl_dim_div);
	}
	public default int getNbConstants() {
		return dim(ISLDimType.isl_dim_cst);
	}
	/*** PROTECTED REGION END ***/

	
	/*************************************** 
	 *	         Static Methods            * 
	 ***************************************/
	
	
}
